/* 
(C) OOMusou 2011 http://oomusou.cnblogs.com

Filename    : counter.v
Simulator   : ModelSim 6.3e, Debussy 5.4 v9
Description : ModelSim with debussy
Release     : 01/31/2010 1.0
*/

module counter (
  clk,
  rst_n,
  cnt
);

input clk;
input rst_n;
output [3:0] cnt;

reg [3:0] cnt;

always@(posedge clk, negedge rst_n) begin
  if (~rst_n) 
    cnt <= 4'h0;
  else
    cnt <= cnt + 1'b1;  
end

endmodule